Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.plot
Class Plot

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.plugins.simulation.plot.Plot

public class Plot
extends MutableDataElementSupport

Constructor Summary
`Plot(String name, DataCollection origin, List series)`
`Plot(String name, DataCollection origin)`
`Plot(String name, List series)`

Method Summary
`void` | `addSeries(Series s)`
`static Plot` | `createDefaultPlot(DataCollection plotCollection)`
`static Series` | `getDefaultSeries(String xName, String yName, String selectedResultName)`
`static Series` | `getDefaultSeries()`
`String` | `getDescription()`
`RowModel` | `getRowModel()`
`List` | `getSeries()`
`String` | `getTitle()`
`double` | `getXFrom()`
`String` | `getXTitle()`
`double` | `getXTo()`
`double` | `getYFrom()`
`String` | `getYTitle()`
`double` | `getYTo()`
`void` | `removeAllSeries()`
`void` | `removeSeries(int index)`
`void` | `setDescription(String description)`
`void` | `setTitle(String title)`
`void` | `setXFrom(double xFrom)`
`void` | `setXTitle(String xTitle)`
`void` | `setXTo(double xTo)`
`void` | `setYFrom(double yFrom)`
`void` | `setYTitle(String yTitle)`
`void` | `setYTo(double yTo)`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Constructor Detail

### Plot

    public Plot(String name, DataCollection origin, List series)
           throws java.lang.Exception

### Plot

    public Plot(String name, DataCollection origin)

### Plot

    public Plot(String name, List series)
           throws java.lang.Exception

Method Detail

### addSeries

    public void addSeries(Series s)

### createDefaultPlot

    public static Plot createDefaultPlot(DataCollection plotCollection)

### getDefaultSeries

    public static Series getDefaultSeries(String xName, String yName, String selectedResultName)

### getDefaultSeries

    public static Series getDefaultSeries()

### getDescription

    public String getDescription()

### getRowModel

    public RowModel getRowModel()

### getSeries

    public List getSeries()

### getTitle

    public String getTitle()

### getXFrom

    public double getXFrom()

### getXTitle

    public String getXTitle()

### getXTo

    public double getXTo()

### getYFrom

    public double getYFrom()

### getYTitle

    public String getYTitle()

### getYTo

    public double getYTo()

### removeAllSeries

    public void removeAllSeries()

### removeSeries

    public void removeSeries(int index)

### setDescription

    public void setDescription(String description)

### setTitle

    public void setTitle(String title)

### setXFrom

    public void setXFrom(double xFrom)

### setXTitle

    public void setXTitle(String xTitle)

### setXTo

    public void setXTo(double xTo)

### setYFrom

    public void setYFrom(double yFrom)

### setYTitle

    public void setYTitle(String yTitle)

### setYTo

    public void setYTo(double yTo)

Association Links

to Class java.util.List

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class biouml.plugins.simulation.plot.Plot.SeriesRowModel

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM